apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    # add an annotation indicating the issuer to use.
    cert-manager.io/cluster-issuer: letsencrypt-prod
  name: ingress-schober-space
spec:
  ingressClassName: nginx
  rules:
  - host: schober.space
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: schober-space
            port:
              number: 80
  tls: # < placing a host in the TLS config will determine what ends up in the cert's subjectAltNames
  - hosts:
    - schober.space
    secretName: schober-space-cert # < cert-manager will store the created certificate in this secret.

